Bug 1119491 - RFE: Don't mark builds as failed if at least one chroot succeeded
Summary: RFE: Don't mark builds as failed if at least one chroot succeeded
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Copr
Classification: Community
Component: backend
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Samalik
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 22:11 UTC by Heiko Adams
Modified: 2015-08-17 10:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-17 10:05:26 UTC


Attachments (Terms of Use)

Description Heiko Adams 2014-07-14 22:11:03 UTC
Currently a build is marked as "failed" if at least building for one chroot failed and no rpms are copied to the repository.

IMHO builds should only marked as "failed" if building for all selected chroots failed. Otherwise the build should be marked as incomplete and rpms of succeeded builds should be copied to repo until the project owner deletes the build. On this way the owner can decide on his own if he wants to keep an incomplete build or if he wants to delete the build and try to get a complete build.

Comment 1 Nik Thom 2014-12-20 23:24:39 UTC
Yes, I have to agree with that. Also, an option to delete only the failed chroot would be good. For example, I have x86 builds failed, but x86_64 builds succeeded. It would be good to have the option to delete the x86 if I want and mark the build as succeed(automatically).

Comment 2 Valentin Gologuzov 2015-08-17 10:05:26 UTC
After some discussion, we've decided not to expand set of build statuses. It's already quite confusing and adding one more status only increase complexity.

You should not care about failed builds, just fix package and submit a new build.


Note You need to log in before you can comment on or make changes to this bug.